<?xml version="1.0" encoding="UTF-8"?>
<uml:Profile xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xmi:id="_ReuxwEu8Eem2LtvnSS1y6A" name="bt" URI="http://www.eclipse.org/papyrus/robotics/bt/1" metaclassReference="_LFBMsE7oEemfkr3WrCdhAQ _QJw48E7oEemfkr3WrCdhAQ _ckAzIE7oEemfkr3WrCdhAQ _2pWEwE_OEemO6845aGAB_w _C12qgKlLEemAX4l8KNV1Iw _-SmFQKlLEemAX4l8KNV1Iw _awfHoKsMEemRSOtUQq5rQA _X6jOEK62Eem4PpI3cM6y8Q _wVwUgK69Eem4PpI3cM6y8Q _foZJ4K6-Eem4PpI3cM6y8Q _fobmIK6-Eem4PpI3cM6y8Q _BHWxQPAsEemBFo3KHgB5yA _uUf8wM9BEe2QzcjnwSkfmw">
  <elementImport xmi:type="uml:ElementImport" xmi:id="_LFBMsE7oEemfkr3WrCdhAQ" alias="Activity">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Activity"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_QJw48E7oEemfkr3WrCdhAQ" alias="CallBehaviorAction">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#CallBehaviorAction"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_ckAzIE7oEemfkr3WrCdhAQ" alias="CallOperationAction">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#CallOperationAction"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_2pWEwE_OEemO6845aGAB_w" alias="ValueSpecificationAction">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ValueSpecificationAction"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_C12qgKlLEemAX4l8KNV1Iw" alias="ActivityNode">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ActivityNode"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_-SmFQKlLEemAX4l8KNV1Iw" alias="ControlFlow">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ControlFlow"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_awfHoKsMEemRSOtUQq5rQA" alias="Action">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Action"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_X6jOEK62Eem4PpI3cM6y8Q" alias="Pin">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Pin"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_wVwUgK69Eem4PpI3cM6y8Q" alias="ObjectFlow">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ObjectFlow"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_foZJ4K6-Eem4PpI3cM6y8Q" alias="InputPin">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#InputPin"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_fobmIK6-Eem4PpI3cM6y8Q" alias="OutputPin">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#OutputPin"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_BHWxQPAsEemBFo3KHgB5yA" alias="CentralBufferNode">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#CentralBufferNode"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_uUf8wM9BEe2QzcjnwSkfmw" alias="ActivityParameterNode">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ActivityParameterNode"/>
  </elementImport>
  <packageImport xmi:type="uml:PackageImport" xmi:id="_b6F5sE9nEemSm_NQVHwS0A">
    <importedPackage xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_gi8QcEu_EemIANEC5Ku3WA"/>
  </packageImport>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_LfxPQE5JEemqu-cGQgVUgA" name="TreeRoot">
    <generalization xmi:type="uml:Generalization" xmi:id="_gGxBEE5MEemqu-cGQgVUgA">
      <general xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#_SbJV57amEeeahOCq3xONIQ"/>
    </generalization>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_N5NLkE7oEemfkr3WrCdhAQ" name="base_Activity" association="_N5EosE7oEemfkr3WrCdhAQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Activity"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_N5NLkU7oEemfkr3WrCdhAQ"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_DNgr4KijEemTabHVhz3sWg" name="treenode" type="_Fu_jcKieEemTabHVhz3sWg" isDerived="true" association="_DNfdwKijEemTabHVhz3sWg">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_PLIFsKipEemTabHVhz3sWg"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_OrlrAE5JEemqu-cGQgVUgA" name="SubTree">
    <generalization xmi:type="uml:Generalization" xmi:id="_DC6-gE7oEemfkr3WrCdhAQ" general="_Fu_jcKieEemTabHVhz3sWg"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_RzY6sKikEemTabHVhz3sWg" name="treeroot" type="_LfxPQE5JEemqu-cGQgVUgA" isDerived="true" association="_RzWecKikEemTabHVhz3sWg"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_kUnbIfAqEemBFo3KHgB5yA" name="flowport" type="_8aUMMK61Eem4PpI3cM6y8Q" isDerived="true" association="_kUm0EPAqEemBFo3KHgB5yA">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_mb4poPAqEemBFo3KHgB5yA"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_mcDBsPAqEemBFo3KHgB5yA" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_T_VZUfArEemBFo3KHgB5yA" name="inflowport" type="_sqADMK63Eem4PpI3cM6y8Q" isDerived="true" association="_T_S9EPArEemBFo3KHgB5yA">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_WUItgPArEemBFo3KHgB5yA"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_WUWI4PArEemBFo3KHgB5yA" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_ZHwEofArEemBFo3KHgB5yA" name="outflowport" type="_2gHzwK63Eem4PpI3cM6y8Q" isDerived="true" association="_ZHu2gPArEemBFo3KHgB5yA">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_aSPh0PArEemBFo3KHgB5yA"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_aSVBYPArEemBFo3KHgB5yA" value="*"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_QT_MME5JEemqu-cGQgVUgA" name="Condition">
    <generalization xmi:type="uml:Generalization" xmi:id="_CEeZQE7oEemfkr3WrCdhAQ" general="_BOsLkKifEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_SJ3vwE5JEemqu-cGQgVUgA" name="Action">
    <generalization xmi:type="uml:Generalization" xmi:id="_Cl98wE7oEemfkr3WrCdhAQ" general="_BOsLkKifEemTabHVhz3sWg"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_jjFrYE9nEemSm_NQVHwS0A" name="skill" isReadOnly="true" isDerived="true">
      <type xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_l8OWYEvMEemIANEC5Ku3WA"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_wQ5G0K62Eem4PpI3cM6y8Q" name="flowport" type="_8aUMMK61Eem4PpI3cM6y8Q" isDerived="true" association="_wQ2DgK62Eem4PpI3cM6y8Q">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_05x9gK62Eem4PpI3cM6y8Q"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_052O8K62Eem4PpI3cM6y8Q" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_PiUF4q64Eem4PpI3cM6y8Q" name="inflowport" type="_sqADMK63Eem4PpI3cM6y8Q" isDerived="true" association="_PiTe0K64Eem4PpI3cM6y8Q">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_wlMscK7CEemUa-vcjSabQQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_wlj40K7CEemUa-vcjSabQQ" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_QKx0Ea64Eem4PpI3cM6y8Q" name="outflowport" type="_2gHzwK63Eem4PpI3cM6y8Q" isDerived="true" association="_QKwl8K64Eem4PpI3cM6y8Q">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_yG-oQK7CEemUa-vcjSabQQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_yHOf4K7CEemUa-vcjSabQQ" value="*"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_XgzYME5JEemqu-cGQgVUgA" name="Fallback">
    <generalization xmi:type="uml:Generalization" xmi:id="_Dh71wE7oEemfkr3WrCdhAQ" general="_2TWfYKieEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_Z_Ta8E5JEemqu-cGQgVUgA" name="Sequence">
    <generalization xmi:type="uml:Generalization" xmi:id="_D-rcIE7oEemfkr3WrCdhAQ" general="_2TWfYKieEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_N5EosE7oEemfkr3WrCdhAQ" name="E_TreeRoot_Activity11" memberEnd="_N5I6IE7oEemfkr3WrCdhAQ _N5NLkE7oEemfkr3WrCdhAQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_N5I6IE7oEemfkr3WrCdhAQ" name="extension_TreeRoot" type="_LfxPQE5JEemqu-cGQgVUgA" aggregation="composite" association="_N5EosE7oEemfkr3WrCdhAQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_sj4QoE_OEemO6845aGAB_w" name="Parameter">
    <generalization xmi:type="uml:Generalization" xmi:id="_xgf7oE_OEemO6845aGAB_w">
      <general xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#_tQzYoKgfEeexrbjCvoglCQ"/>
    </generalization>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_4HKGkE_OEemO6845aGAB_w" name="base_ValueSpecificationAction" association="_4HD_8E_OEemO6845aGAB_w">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ValueSpecificationAction"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_4HKGkU_OEemO6845aGAB_w"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_4HD_8E_OEemO6845aGAB_w" name="E_Parameter_ValueSpecificationAction17" memberEnd="_4HJfgE_OEemO6845aGAB_w _4HKGkE_OEemO6845aGAB_w">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_4HJfgE_OEemO6845aGAB_w" name="extension_Parameter" type="_sj4QoE_OEemO6845aGAB_w" aggregation="composite" association="_4HD_8E_OEemO6845aGAB_w"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_Fu_jcKieEemTabHVhz3sWg" name="TreeNode" isAbstract="true">
    <generalization xmi:type="uml:Generalization" xmi:id="_XfOD0KieEemTabHVhz3sWg">
      <general xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#_tQzYoKgfEeexrbjCvoglCQ"/>
    </generalization>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_zJcPgKsMEemRSOtUQq5rQA" name="base_Action" association="_zJaaUKsMEemRSOtUQq5rQA">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Action"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_zJcPgasMEemRSOtUQq5rQA"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_2TWfYKieEemTabHVhz3sWg" name="ControlNode" isAbstract="true">
    <generalization xmi:type="uml:Generalization" xmi:id="_uOm68KigEemTabHVhz3sWg" general="_Fu_jcKieEemTabHVhz3sWg"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_YgdFEaijEemTabHVhz3sWg" name="treenode" type="_Fu_jcKieEemTabHVhz3sWg" isDerived="true" association="_Ygb28KijEemTabHVhz3sWg">
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_aI4bcKijEemTabHVhz3sWg" value="*"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_BOsLkKifEemTabHVhz3sWg" name="LeafNode" isAbstract="true">
    <generalization xmi:type="uml:Generalization" xmi:id="__o9ucKifEemTabHVhz3sWg" general="_Fu_jcKieEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_GGox8KifEemTabHVhz3sWg" name="DecoratorNode">
    <generalization xmi:type="uml:Generalization" xmi:id="_1EfNoKigEemTabHVhz3sWg" general="_Fu_jcKieEemTabHVhz3sWg"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="__CFX0qijEemTabHVhz3sWg" name="treenode" type="_Fu_jcKieEemTabHVhz3sWg" isDerived="true" association="__CEwwKijEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_DNfdwKijEemTabHVhz3sWg" memberEnd="_DNgr4KijEemTabHVhz3sWg _DNgr4aijEemTabHVhz3sWg">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_DNgE0KijEemTabHVhz3sWg" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_DNgE0aijEemTabHVhz3sWg" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_DNgr4aijEemTabHVhz3sWg" name="treeroot" type="_LfxPQE5JEemqu-cGQgVUgA" association="_DNfdwKijEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_Ygb28KijEemTabHVhz3sWg" memberEnd="_YgdFEaijEemTabHVhz3sWg _YgdFEqijEemTabHVhz3sWg">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_YgceAKijEemTabHVhz3sWg" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_YgdFEKijEemTabHVhz3sWg" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_YgdFEqijEemTabHVhz3sWg" name="controlnode" type="_2TWfYKieEemTabHVhz3sWg" association="_Ygb28KijEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="__CEwwKijEemTabHVhz3sWg" memberEnd="__CFX0qijEemTabHVhz3sWg __CF-4KijEemTabHVhz3sWg">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="__CFX0KijEemTabHVhz3sWg" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__CFX0aijEemTabHVhz3sWg" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="__CF-4KijEemTabHVhz3sWg" name="decoratornode" type="_GGox8KifEemTabHVhz3sWg" association="__CEwwKijEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_RzWecKikEemTabHVhz3sWg" memberEnd="_RzY6sKikEemTabHVhz3sWg _RzZhwKikEemTabHVhz3sWg">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_RzYToKikEemTabHVhz3sWg" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_RzYToaikEemTabHVhz3sWg" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_RzZhwKikEemTabHVhz3sWg" name="subtree" type="_OrlrAE5JEemqu-cGQgVUgA" association="_RzWecKikEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_pvWOMKlMEemAX4l8KNV1Iw" name="ControlFlowEdge">
    <generalization xmi:type="uml:Generalization" xmi:id="_2n3YwKlMEemAX4l8KNV1Iw">
      <general xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#_SbJV_bamEeeahOCq3xONIQ"/>
    </generalization>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_B_O5oKlNEemAX4l8KNV1Iw" name="base_ControlFlow" association="_B_NrgKlNEemAX4l8KNV1Iw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ControlFlow"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_B_O5oalNEemAX4l8KNV1Iw"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_B_NrgKlNEemAX4l8KNV1Iw" name="E_ControlFlowEdge_ControlFlow1" memberEnd="_B_OSkKlNEemAX4l8KNV1Iw _B_O5oKlNEemAX4l8KNV1Iw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_B_OSkKlNEemAX4l8KNV1Iw" name="extension_ControlFlowEdge" type="_pvWOMKlMEemAX4l8KNV1Iw" aggregation="composite" association="_B_NrgKlNEemAX4l8KNV1Iw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_zJaaUKsMEemRSOtUQq5rQA" name="E_TreeNode_Action28" memberEnd="_zJbocKsMEemRSOtUQq5rQA _zJcPgKsMEemRSOtUQq5rQA">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_zJbocKsMEemRSOtUQq5rQA" name="extension_TreeNode" type="_Fu_jcKieEemTabHVhz3sWg" aggregation="composite" association="_zJaaUKsMEemRSOtUQq5rQA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_8aUMMK61Eem4PpI3cM6y8Q" name="DataFlowPort" isAbstract="true">
    <generalization xmi:type="uml:Generalization" xmi:id="_GeTZoK62Eem4PpI3cM6y8Q">
      <general xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#_1q7FQKgfEeexrbjCvoglCQ"/>
    </generalization>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_wQ2DgK62Eem4PpI3cM6y8Q" memberEnd="_wQ5G0K62Eem4PpI3cM6y8Q _wQ6U8K62Eem4PpI3cM6y8Q">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_wQ34sK62Eem4PpI3cM6y8Q" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_wQ34sa62Eem4PpI3cM6y8Q" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_wQ6U8K62Eem4PpI3cM6y8Q" name="action" type="_SJ3vwE5JEemqu-cGQgVUgA" association="_wQ2DgK62Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_sqADMK63Eem4PpI3cM6y8Q" name="InFlowPort">
    <generalization xmi:type="uml:Generalization" xmi:id="_-8zsMK63Eem4PpI3cM6y8Q" general="_8aUMMK61Eem4PpI3cM6y8Q"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_osx7ga6-Eem4PpI3cM6y8Q" name="base_InputPin" association="_osxUcK6-Eem4PpI3cM6y8Q">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#InputPin"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_osx7gq6-Eem4PpI3cM6y8Q"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_86QFMM9BEe2QzcjnwSkfmw" name="base_ActivityParameterNode" association="_86OQAM9BEe2QzcjnwSkfmw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ActivityParameterNode"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_86QFMc9BEe2QzcjnwSkfmw"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_2gHzwK63Eem4PpI3cM6y8Q" name="OutFlowPort">
    <generalization xmi:type="uml:Generalization" xmi:id="__vY_sK63Eem4PpI3cM6y8Q" general="_8aUMMK61Eem4PpI3cM6y8Q"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_pX3f4a6-Eem4PpI3cM6y8Q" name="base_OutputPin" association="_pX240K6-Eem4PpI3cM6y8Q">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#OutputPin"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_pX3f4q6-Eem4PpI3cM6y8Q"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_DFF20M9CEe2QzcjnwSkfmw" name="base_ActivityParameterNode" association="_DFEosM9CEe2QzcjnwSkfmw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ActivityParameterNode"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_DFF20c9CEe2QzcjnwSkfmw"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_PiTe0K64Eem4PpI3cM6y8Q" memberEnd="_PiUF4q64Eem4PpI3cM6y8Q _PiUs8K64Eem4PpI3cM6y8Q">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_PiUF4K64Eem4PpI3cM6y8Q" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_PiUF4a64Eem4PpI3cM6y8Q" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_PiUs8K64Eem4PpI3cM6y8Q" name="action" type="_SJ3vwE5JEemqu-cGQgVUgA" association="_PiTe0K64Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_QKwl8K64Eem4PpI3cM6y8Q" memberEnd="_QKx0Ea64Eem4PpI3cM6y8Q _QKybIK64Eem4PpI3cM6y8Q">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_QKxNAK64Eem4PpI3cM6y8Q" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_QKx0EK64Eem4PpI3cM6y8Q" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_QKybIK64Eem4PpI3cM6y8Q" name="action" type="_SJ3vwE5JEemqu-cGQgVUgA" association="_QKwl8K64Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_9dt7MK67Eem4PpI3cM6y8Q" name="DataFlowEdge">
    <generalization xmi:type="uml:Generalization" xmi:id="_1bxokK68Eem4PpI3cM6y8Q">
      <general xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#_SbJV_bamEeeahOCq3xONIQ"/>
    </generalization>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_NAbbIq68Eem4PpI3cM6y8Q" name="inPort" type="_sqADMK63Eem4PpI3cM6y8Q" isDerived="true" association="_NAa0EK68Eem4PpI3cM6y8Q">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_GMTgkPAmEemBFo3KHgB5yA"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_bj2oUq68Eem4PpI3cM6y8Q" name="outPort" type="_2gHzwK63Eem4PpI3cM6y8Q" isDerived="true" association="_bj2BQK68Eem4PpI3cM6y8Q">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_L7FBQPAmEemBFo3KHgB5yA"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_zVVEAa69Eem4PpI3cM6y8Q" name="base_ObjectFlow" association="_zVUc8K69Eem4PpI3cM6y8Q">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ObjectFlow"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_zVVrEK69Eem4PpI3cM6y8Q"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_RolWoPAmEemBFo3KHgB5yA" name="bbEntry" type="_5atIQPAjEemBFo3KHgB5yA" isDerived="true" association="_RogeIPAmEemBFo3KHgB5yA">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_VuvTsPAmEemBFo3KHgB5yA"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_NAa0EK68Eem4PpI3cM6y8Q" memberEnd="_NAbbIq68Eem4PpI3cM6y8Q _NAbbI668Eem4PpI3cM6y8Q">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_NAbbIK68Eem4PpI3cM6y8Q" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_NAbbIa68Eem4PpI3cM6y8Q" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_NAbbI668Eem4PpI3cM6y8Q" name="dataflowedge" type="_9dt7MK67Eem4PpI3cM6y8Q" association="_NAa0EK68Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_bj2BQK68Eem4PpI3cM6y8Q" memberEnd="_bj2oUq68Eem4PpI3cM6y8Q _bj3PYK68Eem4PpI3cM6y8Q">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_bj2oUK68Eem4PpI3cM6y8Q" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_bj2oUa68Eem4PpI3cM6y8Q" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_bj3PYK68Eem4PpI3cM6y8Q" name="dataflowedge" type="_9dt7MK67Eem4PpI3cM6y8Q" association="_bj2BQK68Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_zVUc8K69Eem4PpI3cM6y8Q" name="E_DataFlowEdge_ObjectFlow40" memberEnd="_zVVEAK69Eem4PpI3cM6y8Q _zVVEAa69Eem4PpI3cM6y8Q">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_zVVEAK69Eem4PpI3cM6y8Q" name="extension_DataFlowEdge" type="_9dt7MK67Eem4PpI3cM6y8Q" aggregation="composite" association="_zVUc8K69Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_osxUcK6-Eem4PpI3cM6y8Q" name="E_InFlowPort_InputPin43" memberEnd="_osx7gK6-Eem4PpI3cM6y8Q _osx7ga6-Eem4PpI3cM6y8Q">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_osx7gK6-Eem4PpI3cM6y8Q" name="extension_InFlowPort" type="_sqADMK63Eem4PpI3cM6y8Q" aggregation="composite" association="_osxUcK6-Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_pX240K6-Eem4PpI3cM6y8Q" name="E_OutFlowPort_OutputPin44" memberEnd="_pX3f4K6-Eem4PpI3cM6y8Q _pX3f4a6-Eem4PpI3cM6y8Q">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_pX3f4K6-Eem4PpI3cM6y8Q" name="extension_OutFlowPort" type="_2gHzwK63Eem4PpI3cM6y8Q" aggregation="composite" association="_pX240K6-Eem4PpI3cM6y8Q"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_5atIQPAjEemBFo3KHgB5yA" name="BlackBoardEntry">
    <generalization xmi:type="uml:Generalization" xmi:id="_GV_S8PAkEemBFo3KHgB5yA">
      <general xmi:type="uml:Stereotype" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#_BH5P8LanEeeahOCq3xONIQ"/>
    </generalization>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_vmRAcvAoEemBFo3KHgB5yA" name="dfEdge" type="_9dt7MK67Eem4PpI3cM6y8Q" isDerived="true" association="_vmQZYPAoEemBFo3KHgB5yA">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_ztulEPAoEemBFo3KHgB5yA" value="2"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_zt150PAoEemBFo3KHgB5yA" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_M1XQgPAsEemBFo3KHgB5yA" name="base_CentralBufferNode" association="_M1UNMPAsEemBFo3KHgB5yA">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#CentralBufferNode"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_M1XQgfAsEemBFo3KHgB5yA"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_b6dq8M-wEe2-hrAEPfSjmA" name="base_ActivityParameterNode" association="_b6YycM-wEe2-hrAEPfSjmA">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#ActivityParameterNode"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_b6dq8c-wEe2-hrAEPfSjmA"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_RogeIPAmEemBFo3KHgB5yA" memberEnd="_RolWoPAmEemBFo3KHgB5yA _Rol9sPAmEemBFo3KHgB5yA">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_RojhcPAmEemBFo3KHgB5yA" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_RokIgPAmEemBFo3KHgB5yA" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_Rol9sPAmEemBFo3KHgB5yA" name="dataflowedge" type="_9dt7MK67Eem4PpI3cM6y8Q" association="_RogeIPAmEemBFo3KHgB5yA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_vmQZYPAoEemBFo3KHgB5yA" memberEnd="_vmRAcvAoEemBFo3KHgB5yA _vmRngPAoEemBFo3KHgB5yA">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_vmRAcPAoEemBFo3KHgB5yA" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_vmRAcfAoEemBFo3KHgB5yA" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_vmRngPAoEemBFo3KHgB5yA" name="blackboardentry" type="_5atIQPAjEemBFo3KHgB5yA" association="_vmQZYPAoEemBFo3KHgB5yA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_kUm0EPAqEemBFo3KHgB5yA" memberEnd="_kUnbIfAqEemBFo3KHgB5yA _kUoCMPAqEemBFo3KHgB5yA">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_kUm0EfAqEemBFo3KHgB5yA" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_kUnbIPAqEemBFo3KHgB5yA" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_kUoCMPAqEemBFo3KHgB5yA" name="subtree" type="_OrlrAE5JEemqu-cGQgVUgA" association="_kUm0EPAqEemBFo3KHgB5yA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_T_S9EPArEemBFo3KHgB5yA" memberEnd="_T_VZUfArEemBFo3KHgB5yA _T_XOgPArEemBFo3KHgB5yA">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_T_UyQPArEemBFo3KHgB5yA" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_T_VZUPArEemBFo3KHgB5yA" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_T_XOgPArEemBFo3KHgB5yA" name="subtree" type="_OrlrAE5JEemqu-cGQgVUgA" association="_T_S9EPArEemBFo3KHgB5yA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_ZHu2gPArEemBFo3KHgB5yA" memberEnd="_ZHwEofArEemBFo3KHgB5yA _ZHwrsPArEemBFo3KHgB5yA">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ZHvdkPArEemBFo3KHgB5yA" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_ZHwEoPArEemBFo3KHgB5yA" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_ZHwrsPArEemBFo3KHgB5yA" name="subtree" type="_OrlrAE5JEemqu-cGQgVUgA" association="_ZHu2gPArEemBFo3KHgB5yA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_M1UNMPAsEemBFo3KHgB5yA" name="E_BlackBoardEntry_CentralBufferNode52" memberEnd="_M1WpcPAsEemBFo3KHgB5yA _M1XQgPAsEemBFo3KHgB5yA">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_M1WpcPAsEemBFo3KHgB5yA" name="extension_BlackBoardEntry" type="_5atIQPAjEemBFo3KHgB5yA" aggregation="composite" association="_M1UNMPAsEemBFo3KHgB5yA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_4bnWgMfJEe2YiOYBXzLsZQ" name="ReactiveFallback">
    <generalization xmi:type="uml:Generalization" xmi:id="_OiE3UMfKEe2YiOYBXzLsZQ" general="_2TWfYKieEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_UvkUUMfKEe2YiOYBXzLsZQ" name="ReactiveSequence">
    <generalization xmi:type="uml:Generalization" xmi:id="_IHgyMMfLEe2YiOYBXzLsZQ" general="_2TWfYKieEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_F8JG0MfLEe2YiOYBXzLsZQ" name="Inverter">
    <generalization xmi:type="uml:Generalization" xmi:id="_Iwy_wMfLEe2YiOYBXzLsZQ" general="_GGox8KifEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_KYOQkMfLEe2YiOYBXzLsZQ" name="RetryUntilSuccessful">
    <generalization xmi:type="uml:Generalization" xmi:id="_l_p_QMfOEe2YiOYBXzLsZQ" general="_GGox8KifEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_DvjBgMfNEe2YiOYBXzLsZQ" name="Repeat">
    <generalization xmi:type="uml:Generalization" xmi:id="_mc0cYMfOEe2YiOYBXzLsZQ" general="_GGox8KifEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_kRdNgMfNEe2YiOYBXzLsZQ" name="ParallelSequence">
    <generalization xmi:type="uml:Generalization" xmi:id="_na8RgMfOEe2YiOYBXzLsZQ" general="_2TWfYKieEemTabHVhz3sWg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_86OQAM9BEe2QzcjnwSkfmw" name="E_InFlowPort_ActivityParameterNode60" memberEnd="_86PeIM9BEe2QzcjnwSkfmw _86QFMM9BEe2QzcjnwSkfmw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_86PeIM9BEe2QzcjnwSkfmw" name="extension_InFlowPort" type="_sqADMK63Eem4PpI3cM6y8Q" aggregation="composite" association="_86OQAM9BEe2QzcjnwSkfmw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_DFEosM9CEe2QzcjnwSkfmw" name="E_OutFlowPort_ActivityParameterNode61" memberEnd="_DFFPwM9CEe2QzcjnwSkfmw _DFF20M9CEe2QzcjnwSkfmw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_DFFPwM9CEe2QzcjnwSkfmw" name="extension_OutFlowPort" type="_2gHzwK63Eem4PpI3cM6y8Q" aggregation="composite" association="_DFEosM9CEe2QzcjnwSkfmw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_b6YycM-wEe2-hrAEPfSjmA" name="E_BlackBoardEntry_ActivityParameterNode62" memberEnd="_b6cc0M-wEe2-hrAEPfSjmA _b6dq8M-wEe2-hrAEPfSjmA">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_b6cc0M-wEe2-hrAEPfSjmA" name="extension_BlackBoardEntry" type="_5atIQPAjEemBFo3KHgB5yA" aggregation="composite" association="_b6YycM-wEe2-hrAEPfSjmA"/>
  </packagedElement>
</uml:Profile>
